PathAss (V1.1)           Anders `ALi' Lindgren             PathAss (V1.1)


NAME
    PathAss  -	Assign a path of directories to a logical device.


SYNOPSIS
    PathAss [-dlh] [ name[:] [dir1[,dir2[,dir3 ... ]]] ]


DESCRIPTION
    PathAss assigns a path of directories to a logical device. The
    difference from the `old' AmigaDos Assign command lies in the path part,
    you can specify several directories which will be searched when the
    PathAssignment is accessed. For the user and normal programs the
    PathAssignment looks like a normal assignment.

    (A logical device can be one of three things. 1. An Assignment made by
    the Assign command. 2. A volume. 3. A device. A PathAssignment is
    implemented as a device.)


USEAGE
    To use a PathAssignment instead of a normal assignment you must make a
    PathAssinment. Then you simply access the PathAssignment by its
    name. Example:
	PathAss hej: df0:,df1:		Make the PathAssignment
	dir hej:			List all files in the root of
					df0: and df1:

    To make a PathAssignment give the command in the following form, with
    the directories separated by commas:
	Pathass name[:] dir1[,dir2[,dir3 ... ]]]


FEUTURES
    The directories are searched in order, but if the file isn`t found in any
    directory PathAss will use the first directory in the list.

    To get high flexibility, put fast devices (RAM:,VD0:) first in the list
    and slow devices (floppies) last.

    Pathass will never set out a `system requester', so if the disk
    containing the file isn`t present, PathAss will simply return an error.

    The assignment made to devices is device relative, not volume relative
    as the old Assign command. This means that if a PathAssignment was made
    to df1:, the volume used is the volume in df1: at the time of the use,
    NOT the volume in df0: at the time of the assignment.


PathAss (V1.1)           Anders `ALi' Lindgren             PathAss (V1.1)


OPTIONS
    -d name:
	    Delete an pathassignment. This function will alse delete old
	    AmigaDos Assignments. You doesn`t have to specify the `-d'
	    switch. if you only write `Pathass name:', PathAss assumes that
	    you want to delete name:

    -l	    List all PathAssignments.

    -h	    Type out a small helptext.

	    If no arguments are supplied then all assignments are listed, if
	    there is any. Otherwise the helptext will be written.


EXAMPLE
    PathAss foo:    jh0:,df0:,df1:,df2:,df3:
    PathAss fonts   RAM:fonts,df0:fonts,df1:fonts


KNOWN PROBLEMS
    Due to the fact that AmigaDos assumes thas C: is a normal assignment, I
    recomend the followning workaround: PathAssign another name, for example
    cx:, to the path you would like to use. Then assign C: (Yes, the old
    Amigados cmmand) to that name.    i.e:
	Pathass cx: vd0:c,df0:c,df1:c
	Assign c: cx:


SEE ALSO
    The `readme' file.
    The AmigaDos manual.


STATUS
    The PathAss program is shareware. To become a registred user just pay
    the fee, $10, to the address below. I will accept payment in any
    currency, like swedish crowns, new PD/SW programs, clean disks and so
    on. All registred users will recieve the lastest version of the program
    and the sourcecode. All registed users can send in an empty disk and
    return postage to get the absolute latest version of the program and
    source.

    To pay the fee, ask any question, complain, bug reports, suggestions,
    ask for autograps etc. Please write to:

	    SNAIL-MAIL:   Anders Lindgren
			  Mlarblick 8
			  S-161 51
			  Bromma Sweden

	    PHONE:	  No thanks, no calls at 3 AM.......

    Or contact me on the swedish Amiga base `Camelot'.

